Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 15 Aug 2021 08:31:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns To whom it may concern,
I'm writing this email in regards to a bed that I purchased and for the past two weeks for the pick up company "them" to come and collect the bed because it's incorrect size. 
I was transferred to customer service more than once and they informed me that they already made a complaint and was sent. however two weeks later I'm still no one has reached out I keep on calling no sufficient response. All they could tell me is that the company that will come and pick up the bed will contact me and no one has ever contact me for the past two weeks. Despite has been inconvenienced in my life it has taken over a lot of space in my apartment and us we could not continue living like this and waiting for home center to come and pick up the bed!!

urgent!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2981993